Subject: bug#7060: 23.2; emacs does not recognize the "end" keyword as a block-delimiter in octave-mode

From: Manjul Apratim <[email-masked]>
Date: Sat, 18 Sep 2010 15:32:35 -0400

Very nice! I pulled the trunk version of emacs - 24.0.50 - from bazaar and
checkinstalled it. "end" is working perfectly on this version, as also all
the other keywords. One thing however - emacs does not warn anymore if two
non-matching block delimiters are tried, say if I put in "endif" with "for",
while in the previous version, it did warn that the keywords do not match.

I think I understand from the "make bootstrap" process why merely changing
the octave-mod.el file did not work before - I believe it needed to be
compiled into an elc file, which would only happen if I were to rebuild the
source from scratch - is that correct?

Manjul